
%define gettext_package libgnomecanvas-2.0

%define gtk2_version 2.1.2
%define libart_lgpl_version 2.3.8
%define libglade2_version 2.0.1

Summary: GnomeCanvas widget
Name: libgnomecanvas
Version: 2.2.0.2
Release: 2.XOS.1
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries 
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: libtool
%description

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: Libraries and headers for libgnomecanvas.
Group: Development/Libraries
Requires: %name = %{version}
Conflicts: gnome-libs-devel < 1.4.1.2
Requires: gtk2-devel >= %{gtk2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}

%description devel

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%prep
%setup -q

%build
#replace shipped libtool files (bug #78045)
libtoolize -f
%configure
make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT  LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.a

%find_lang %{gettext_package}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS

%{_libdir}/lib*.so.*

# avoid the .a file, get .la against better judgment
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_libdir}/libglade/2.0/libcanvas.so
%{_libdir}/libglade/2.0/libcanvas.la

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.2.0.2-2.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on libgnomecanvas-2.2.0.2-2.src.rpm
  (md5sum of original source rpm: 4a0d8614e06db38bcbcba829b80dd712).

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 2.2.0.2-2
- rebuild

* Tue Apr  8 2003 Jeremy Katz <katzj@redhat.com> 2.2.0.2-1
- update to 2.2.0.2
- use system libtool

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-1
- Update to 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Alexander Larsson <alexl@redhat.com> 2.1.90-2
- Run libtoolize to make package rebuilding possible without the package already installed (#78045)

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- Update to 2.1.90

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- fix gettext package name

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- remove empty AUTHORS/README

* Sat Jun 15 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1
- check file list, add glade module and gtk-doc docs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libglade
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Tue Feb 19 2002 Alex Larsson <alexl@redhat.com>
- Add nasty version check stuff.

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 1.105.0.90, gtk 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for gtk 1.3.10, 
  add libglade dep, fix libart dep

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap for new glib/gtk

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with upstream changes

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


